petsc-3.4.2 2013-07-02

# ISLocalToGlobalMappingConcatenate

Create a new mapping that concatenates a list of mappings

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingConcatenate(MPI_Comm comm,PetscInt n,const ISLocalToGlobalMapping ltogs[],ISLocalToGlobalMapping *ltogcat)

Not Collective

### Input Arguments

| comm | - communicator for the new mapping, must contain the communicator of every mapping to concatenate
| n | - number of mappings to concatenate
| ltogs | - local to global mappings

### Output Arguments

ltogcat -new mapping

### See Also

ISLocalToGlobalMappingCreate()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages